//sidebar specific
function refreshNews() {
	news = document.getElementById('devboiNews');
	updateTree(news);
	setTimeout('refreshNews();', 60*60*1000);
}

function initializeDevBoiTrees() {
	var trees = document.getElementsByTagName('tree');
	for(var i = 0; i<trees.length; i++) {
		evt.add(trees[i], 'keypress', processKey);
		evt.add(trees[i], 'dblclick', processDblClick);
		evt.add(trees[i], 'mousedown', processMiddleClick);
		cols = trees[i].getElementsByTagName('treecol');
		for(var j = cols.length-1; j>=0; j--) {
			if(cls.has(trees[i], 'copyPaste') && cls.has(cols[j], 'copyPaste')) {
				trees[i].copyPasteElm = cols[j].getAttribute('id');
			} else {
				if(cls.has(cols[j], 'link')) {
					trees[i].linkElm = cols[j].getAttribute('id');
				}
			}
		}
	}
}

function initializeDevBoiTabs() {
	//initialize dropdown controls
	var menus = document.getElementsByTagName('menulist');
	var classes = '';
	var controls = '';
	for(var i = 0; i<menus.length; i++) {
		classes = menus[i].getAttribute('class').split(' ');
		for(var j = 0; j<classes.length; j++) {
			if(classes[j].indexOf('controls_') == 0) {
				controls = classes[j].split('_')[1];
				menus[i].linkedTab = document.getElementById(controls).getElementsByTagName('tabpanels')[0];
				var si = menus[i].linkedTab.selectedIndex >= 0 ? menus[i].linkedTab.selectedIndex : 0;
				if(si<menus[i].childNodes.length) {
					item = document.getElementById('item_' + menus[i].linkedTab.childNodes[si].getAttribute('id'));
					menus[i].selectedItem = item;
				}
				evt.add(menus[i], 'command', onSelectCommand);
			}
		}
	}

	var tabs = document.getElementsByTagName('tabpanels');
	for(var i = 0; i<tabs.length; i++) {
	}
}

function onSelectCommand(e) {
	var target = e.target;
	while(target.tagName != 'menulist') { target = target.parentNode; }
	target.linkedTab.selectedPanel = document.getElementById(e.target.id.substr(5));
}

function InitializeDevBoi() {
	initializeDevBoiTrees();
	initializeDevBoiTabs();
	refreshNews();
}


function processDefault(target, newTab) {
	if(target.linkElm) {
		gotoLink(target, target.linkElm, newTab);
	} else if(target.copyPasteElm) {
		putValToClipboard(target, target.copyPasteElm)
	}
}
function processKey(e) {
	if(e.keyCode == 13) {
		processDefault(e.target);
	}
	return true;
}

function processDblClick(e) {
	var t = e.target;
	while(t.tagName != 'tree') t = t.parentNode;
	processDefault(t);
}

function processMiddleClick(e) {
	if(e.which == 2) {
		var t = e.target;
		while(t.tagName != 'tree') t = t.parentNode;
		processDefault(t, true);
	}
	return false;
}

function processTabSelect(e) {
	alert('processTabSelect ' + e.selectedIndex);
}